> For the complete documentation index, see [llms.txt](https://docs.nftembed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nftembed.org/details/features/collections.md).

# Collections

With NFTEmbed, as long as you have the contract address of an NFT, you can display an entire collection on any website with marketplace functionality!

You no longer need to show a link to Opensea or another marketplace like SuperRare; you can quickly display NFTs from SuperRare, Opensea, Rarible or any marketplace that supports NFTs— directly from your website. 🤝

![](/files/iapf4uVEjOyUMuCg0mnf) ![](/files/WCeG9G7YW8LRNaAT0Qkn)

The critical difference between Single NFT and Collection is simple— an ability to turn any page into a complete marketplace without code!

For example, instead of single NFTs for direct sales, you can allow users to search for an NFT of their preference.

When you enable '**User Profile**' NFTEmbed will include a '**My NFTs**' tab, which allows users to view the NFTs they already own— **from that collection.**

### URL Schema

{% code title="Code: Embed widget" overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://nftembed.org/embed/collection?hasUserProfile=true&saleSplitAddress=&saleSplitFee=10&showMarket=true&tokenAddress=0xb932a70A57673d89f4acfFBE830E8ed7f75Fb9e0" width="885" height="2400"></iframe>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nftembed.org/details/features/collections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
